Search results

Show tooltip on disabled elements and disable tooltip in JavaScript (ES5) Tooltip control

17 Mar 2023 / 2 minutes to read

By default, tooltips will not be displayed on disabled elements. However, you can enable this behavior by using the following steps:

  1. Add a disabled element like the button element into a div whose display style is set to inline-block.
  2. Set the pointer event as none for the disabled element (button) through CSS.
  3. Initialize the tooltip for outer div element that holds the disabled button element.
Source
Preview
index.js
index.html
index.css
Copied to clipboard
var tooltipObj_1 = new ej.popups.Tooltip({
  content: 'Tooltip from disabled element'
});
tooltipObj_1.appendTo('#box');

//Initialize Button component
var buttonObj_1 = new ej.buttons.Button({
  disabled: true
});
//Render initialized Button component
buttonObj_1.appendTo('#disabledbutton');

//Initialize Button component
var button = new ej.buttons.Button();
//Render initialized Button component
button.appendTo('#tooltip');

//Initialize Tooltip component
var tooltipObj_2 = new ej.popups.Tooltip({
  //Set tooltip content
  content: 'Lets go green & Save Earth !!!',
  beforeRender: function(args) {
     if (!(document.getElementById('checked')).checked) {
       args.cancel = true;
     }
  }
});
//Render initialized Tooltip component
tooltipObj_2.appendTo('#tooltip');

var switchObj = new ej.buttons.Switch({
  value: 'USB tethering',
  checked: true,
  change: function(args) {
    if ((document.getElementById('checked')).checked) {
      var tooltipObj_2 = new ej.popups.Tooltip({
        //Set tooltip content
        content: "Lets go green & Save Earth !!!"
      });
      tooltipObj_2.appendTo('#tooltip');
    } 
  }
});
switchObj.appendTo('#checked');
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
    <title>EJ2 Tooltip</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/20.4.48/ej2-base/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/20.4.48/ej2-popups/styles/material.css" rel="stylesheet">
    <link href="//cdn.syncfusion.com/ej2/20.4.48/ej2-buttons/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/20.4.48/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="box" style="display: inline-block;">
            <input type="button" id="disabledbutton" value="Disabled button">
        </div>
        <div style="position: relative;top: 75px;">
            <!-- Tooltip element -->
            <button id="tooltip">Show Tooltip</button>
            <div class="switchContainer">
                <label for="checked" style="padding: 0 25px 0 0">Enable Tooltip</label>
                <input id="checked" type="checkbox">
            </div>
        </div>
    </div>



<script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
Copied to clipboard
#container {
    visibility: hidden;
    display: inline-block;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    margin-top: 75px;
}

#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

#disabledbutton {
    pointer-events: none;
    font-size: 22px;
    padding: 10px;
}

.e-tooltip-wrap.e-popup .e-tip-content {
    padding: 10px;
    font-size: 14px;
}

#tooltip {
    position: relative;
    transform: translateX(-50%);
}

.switchContainer {
    vertical-align: sub;
    display: inline-block;
    position: relative;
    left: 3%;
}

How to show Tooltip on disabled elements in Angular Tooltip

14 Aug 20262 minutes to read

By default, tooltips do not display on disabled elements. However, you can enable this behavior by following the steps below.

  1. Add a disabled element, such as a button, inside a div with display style set to inline-block.
  2. Set the pointer event to none for the disabled element (button) using CSS.
  3. Initialize the tooltip for the outer div element.
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TooltipModule } from '@syncfusion/ej2-angular-popups'
import { ButtonModule } from '@syncfusion/ej2-angular-buttons'
import { Component } from '@angular/core';

@Component({
    imports: [
        TooltipModule,
        ButtonModule
    ],
    standalone: true,
    selector: 'my-app',
    template: `
    <ejs-tooltip id="tooltip" content='Tooltip from disabled element'>
        <div><input ejs-button type="button" disabled value="Disabled button" /></div>
    </ejs-tooltip>
    `,
    styles: [`
    #tooltip {
        display: inline-block;
        position: relative;
        top:50px;
        left: 40%;
    }
    #tooltip [disabled] {
        pointer-events: none;
        font-size: 22px;
        padding: 10px;
    }
    `]
})

export class AppComponent {
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

How to show tooltip on disabled elements in Vue Tooltip

21 Aug 20264 minutes to read

By default, tooltips are not displayed on disabled elements. However, you can enable this behavior by following these steps:

  1. Add a disabled element (such as a button element) into a div with its display style set to inline-block.
  2. Set the pointer event as none for the disabled element (button) through CSS.
  3. Initialize the tooltip for the outer div element that contains the disabled button element.
<template>
    <div id='app'>
        <ejs-tooltip id='tooltip' :content='content' target='#box'>
            <div id='container'>
                <div id="box" style="display: inline-block;">
                    <ejs-button id='disabledbutton' disabled=true>Disabled button</ejs-button>
                </div>
            </div>
        </ejs-tooltip>
    </div>
</template>

<script setup>

import { TooltipComponent as EjsTooltip } from "@syncfusion/ej2-vue-popups";
import { ButtonComponent as EjsButton } from "@syncfusion/ej2-vue-buttons";

const content = "Tooltip from disabled element";
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";

#disabledbutton {
    pointer-events: none;
    font-size: 22px;
    padding: 10px;
}

#container {
    display: inline-block;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    margin-top: 75px;
}
</style>
<template>
   <div id='app'>
    <ejs-tooltip id='tooltip' :content='content' target='#box'>
        <div id='container'>
            <div id="box" style="display: inline-block;">
                <ejs-button id='disabledbutton' disabled=true>Disabled button</ejs-button>
            </div>
        </div>
    </ejs-tooltip>
    </div>
</template>

<script>
import { TooltipComponent } from "@syncfusion/ej2-vue-popups";
import { ButtonComponent } from "@syncfusion/ej2-vue-buttons";

export default {
name: "App",
components: {
"ejs-tooltip":TooltipComponent,
"ejs-button":ButtonComponent
},
  data: function() {
    return {
        content: "Tooltip from disabled element"
    };
  },
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
#disabledbutton {
    pointer-events: none;
    font-size: 22px;
    padding: 10px;
}
#container {
    display: inline-block;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    margin-top: 75px;
}
</style>

Show Tooltip on disabled elements and disable Tooltip in React Tooltip component

4 Sep 202616 minutes to read

By default, React Tooltips are not displayed on disabled elements. However, it is possible to enable this behavior by following the steps below.

  1. Add a disabled element (such as a button) into a div element with its display style set to inline-block.
  2. Set the pointer-events property to none for the disabled element (button) through CSS.
  3. Initialize the React Tooltip for the outer div element that contains the disabled button element.
import * as React from 'react';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
import { ButtonComponent, SwitchComponent } from '@syncfusion/ej2-react-buttons';
function App() {
  let tooltip = null;
  function change(args) {
    if (!args.checked) {
      tooltip.destroy();
    }
    else {
      tooltip.render();
    }
  }
  let box = {
    display: "inline-block"
  };
  let position = {
    position: "relative",
    top: "75px",
    transform: "translateX(-10%)"
  };
  let padding = {
    padding: "0 25px 0 0"
  };
  let inline = {
    display: "inline-block "
  };
  let margin = {
    margin: "50px"
  };
  return (<div id="container">
    <div id="box" style={box}>
      <TooltipComponent id="box" content="Tooltip from disabled element">
        <ButtonComponent id="disabledbutton" disabled={true}>
          Disabled button
        </ButtonComponent>
      </TooltipComponent>
    </div>
    <div style={position}>
      <TooltipComponent content="Tooltip Content" target="#tooltip" style={inline} ref={d => (tooltip = d)}>
        <ButtonComponent id="tooltip" style={margin}>
          Show Tooltip
        </ButtonComponent>
      </TooltipComponent>
      <div className="switchContainer">
        <label htmlFor="checked" style={padding}>
          Enable Tooltip
        </label>
        <SwitchComponent id="checked" checked={true} change={change.bind(this)} />
      </div>
    </div>
  </div>);
}
export default App;
import * as React from 'react';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
import { ButtonComponent, SwitchComponent, ChangeEventArgs } from '@syncfusion/ej2-react-buttons';

function App() {
  let tooltip: TooltipComponent = null as any;
  function change(args: ChangeEventArgs) {
    if (!args.checked) {
      tooltip.destroy();
    } else {
      tooltip.render();
    }
  }
  let box: object = {
    display: "inline-block"
  };
  let position: object = {
    position: "relative",
    top: "75px",
    transform: "translateX(-10%)"
  };
  let padding: object = {
    padding: "0 25px 0 0"
  };
  let inline: object = {
    display: "inline-block "
  };
  let margin: object = {
    margin: "50px"
  };
  return (
    <div id="container">
      <div id="box" style={box}>
        <TooltipComponent id="box" content="Tooltip from disabled element">
          <ButtonComponent id="disabledbutton" disabled={true}>
            Disabled button
          </ButtonComponent>
        </TooltipComponent>
      </div>
      <div style={position}>
        <TooltipComponent
          content="Tooltip Content"
          target="#tooltip"
          style={inline}
          ref={d => (tooltip = d as any)}
        >
          <ButtonComponent id="tooltip" style={margin}>
            Show Tooltip
          </ButtonComponent>
        </TooltipComponent>
        <div className="switchContainer">
          <label htmlFor="checked" style={padding}>
            Enable Tooltip
          </label>
          <SwitchComponent
            id="checked"
            checked={true}
            change={change.bind(this) as any}
          />
        </div>
      </div>
    </div>
  );
}
export default App;
import * as React from 'react';
import * as ReactDom from 'react-dom';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
import { SwitchComponent } from '@syncfusion/ej2-react-buttons';
function App() {
    let tooltip;
    function change(args) {
        if (!args.checked) {
            tooltip.destroy();
        }
        else {
            tooltip.render();
        }
    }
    let box = {
        display: 'inline-block'
    };
    let position = {
        position: 'relative', top: '75px', transform: 'translateX(-10%)'
    };
    let padding = {
        padding: '0 25px 0 0'
    };
    let inline = {
        display: 'inline-block '
    };
    let margin = {
        margin: '50px'
    };
    return (<div id='container'>
        <div id="box" style={box}>
            <TooltipComponent id="box" content='Tooltip from disabled element'>
                <button className="e-btn" id="disabledbutton" disabled={true}>Disabled button</button>
            </TooltipComponent>
        </div>
        <div style={position}>
            <TooltipComponent content='Tooltip Content' target='#tooltip' style={inline} ref={d =>tooltip = d}>
                <button className="e-btn" id="tooltip" style={margin}>Show Tooltip</button>
            </TooltipComponent>
            <div className="switchContainer">
                <label htmlFor="checked" style={padding}>Enable Tooltip</label>
                <SwitchComponent id="checked" checked={true} change={change.bind(this)}></SwitchComponent>
            </div>
        </div>
    </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
import * as React from 'react';
import * as ReactDom from 'react-dom';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
import { SwitchComponent } from '@syncfusion/ej2-react-buttons';

function App() {
  let tooltip: TooltipComponent;
  function change(args) {
    if (!args.checked) {
      tooltip.destroy();
    } else {
      tooltip.render();
    }
  }
  let box: object = {
    display: 'inline-block'
  }
  let position: object = {
    position: 'relative', top: '75px', transform: 'translateX(-10%)'
  }
  let padding: object = {
    padding: '0 25px 0 0'
  }
  let inline: object = {
    display: 'inline-block '
  }
  let margin: object = {
    margin: '50px'
  }
  return (
    <div id='container'>
      <div id="box" style={box}>
        <TooltipComponent id="box" content='Tooltip from disabled element'>
          <button className="e-btn" id="disabledbutton" disabled={true}>Disabled button</button>
        </TooltipComponent>
      </div>
      <div style={position}>
        <TooltipComponent content='Tooltip Content' target='#tooltip' style={inline} ref={d =>tooltip = d} >
          <button className="e-btn" id="tooltip" style={margin}>Show Tooltip</button>
        </TooltipComponent>
        <div className="switchContainer">
          <label htmlFor="checked" style={padding}>Enable Tooltip</label>
          <SwitchComponent id="checked" checked={true} change={change.bind(this)}></SwitchComponent>
        </div>
      </div>
    </div>
  );
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
#container {
    display: inline-block;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    margin-top: 75px;
}

#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

#disabledbutton {
    pointer-events: none;
    font-size: 14px;
    padding: 5px;
}

.e-tooltip-wrap.e-popup .e-tip-content {
    padding: 10px;
    font-size: 14px;
}

#tooltip {
    position: relative;
    transform: translateX(-50%);
}

.switchContainer {
    vertical-align: sub;
    display: inline-block;
    position: relative;
    left: 3%;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Tooltip</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-base/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-react-popups/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-react-buttons/styles/tailwind3.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-inputs/styles/tailwind3.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='sample'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>